package com.badlogic.androidgames;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import android.app.Activity;
import android.content.res.AssetManager;
import android.os.Bundle;
import android.widget.TextView;

public class AssetsTest extends Activity {
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		TextView textView = new TextView(this);
		setContentView(textView);
		
		AssetManager assetManager = getAssets();
		InputStream inputStream = null;
		
		try
		{
			inputStream = assetManager.open("texts/myfiles r cool.txt");
			String text = loadTextFile(inputStream);
			textView.setText(text);
		}
		catch(IOException e)
		{
			textView.setText("Could not load file! " + e.toString());
		}
		finally
		{
			if(inputStream != null)
			{
				try
				{
					inputStream.close();
				}
				catch(IOException e)
				{
					textView.setText("Could close file! " + e.toString());
				}				
			}
		}
		
	}
	
	public String loadTextFile(InputStream inputStream) throws IOException 
	{
		ByteArrayOutputStream byteStream = new ByteArrayOutputStream();
		byte[] bytes = new byte[4096];
		int len = 0;
		
		while((len = inputStream.read(bytes)) > 0)
		{
			byteStream.write(bytes, 0, len);
		}
		return new String(byteStream.toByteArray(), "UTF8");
	}
}
